import './index.less';

var WhiteSpace = {
    name: 'SnWhiteSpace',
    props: {
        size: {
            type: String,
            'default': 'base',
            validator: function validator(value) {
                return ['base', 'lg', 'sm'].indexOf(value) > -1;
            }
        }
    },
    render: function render(h) {
        var size = this.size,
            style = this.style;

        var className = {
            'sn-white-space': true
        };
        className['sn-white-space-' + size] = true;

        return h('div', { 'class': className, style: style });
    }
};

WhiteSpace.install = function (Vue) {
    Vue.component(WhiteSpace.name, WhiteSpace);
};

export default WhiteSpace;